View Issue Details

IDProjectCategoryView StatusLast Update
14273Bug reports[All Projects] Assessmentspublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14273: {ASSESSMENT_CURRENT_TOTAL}] usage broken
Description

{ASSESSMENT_CURRENT_TOTAL}] return Unknow and show as error in Logic file

Steps To Reproduce

Import included survey, test

Additional Information

ASSESSMENT_CURRENT_TOTAL is saved in DB
This was a lot in forum, used by a lot of user …

But seems broken in 2.73 too : return 0 …

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.5 github
I will donate to the project if issue is resolvedNo
Browserff
Database & DB-Versionmariadb & mysql
Server OS (if known)fedora/linux and debian/linux
Webserver software & version (if known)nginx and apache2
PHP Version7.2.12 and 5.6

Relationships

related to 12950 closedLouisGac Regression? {ASSESSMENT_CURRENT_TOTAL} no longer defined 
has duplicate 14447 closedDenisChenu {ASSESSMENT_CURRENT_TOTAL} not working 

Activities

DenisChenu

DenisChenu

2018-11-22 18:50

developer   ~49751

For information : with debug=2 : this survey throw an error



PHP notice.html (25,305 bytes)
DenisChenu

DenisChenu

2018-11-25 17:15

developer  

limesurvey_survey_ASSESSMENT_CURRENT_TOTAL.lss (17,805 bytes)
DenisChenu

DenisChenu

2018-11-25 18:06

developer   ~49779

Fixed in https://github.com/LimeSurvey/LimeSurvey/pull/1182

DenisChenu

DenisChenu

2018-11-26 17:34

developer   ~49788

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=28564

Related Changesets

LimeSurvey: master 04eb4645

2018-11-26 17:29:43

DenisChenu


Committer: GitHub Details Diff
Fixed issue 14273: {ASSESSMENT_CURRENT_TOTAL} usage broken in survey

Fixed issue 13572: Empty assessement still shown
Dev : pull request #1182
Dev: evaluation of current total must be done each time
Dev: add an var to get the current assesment data or not
Dev: remove dbExecuteAssoc
Dev: assesment return 0 : show Unkown : test isset and not empty
Fixed issue : ASSESSMENT_CURRENT_TOTAL is not saved in Equation question type
Dev: currently : equation question type use templatereplace
Dev: maybe better to create a new function to get only real var used in Equation ?
Affected Issues
13572, 14273
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - application/helpers/expressions/em_manager_helper.php Diff File
mod - application/helpers/frontend_helper.php Diff File
mod - application/helpers/replacements_helper.php Diff File
mod - application/views/admin/assessments/assessments_edit.php Diff File

Issue History

Date Modified Username Field Change
2018-11-22 18:34 DenisChenu New Issue
2018-11-22 18:34 DenisChenu Webserver software & version ng => nginx and apache2
2018-11-22 18:50 DenisChenu File Added: PHP notice.html
2018-11-22 18:50 DenisChenu Note Added: 49751
2018-11-25 17:15 DenisChenu File Added: limesurvey_survey_ASSESSMENT_CURRENT_TOTAL.lss
2018-11-25 17:59 DenisChenu Relationship added related to 12950
2018-11-25 18:05 DenisChenu Assigned To => DenisChenu
2018-11-25 18:05 DenisChenu Status new => assigned
2018-11-25 18:06 DenisChenu Note Added: 49779
2018-11-26 17:34 DenisChenu Changeset attached => LimeSurvey master 04eb4645
2018-11-26 17:34 DenisChenu Note Added: 49788
2018-11-26 17:34 DenisChenu Resolution open => fixed
2018-11-27 10:03 DenisChenu Status assigned => resolved
2018-11-27 10:03 DenisChenu Fixed in Version => 3.15.x
2019-01-23 14:27 DenisChenu Relationship added has duplicate 14447
2019-04-30 09:11 c_schmitz Status resolved => closed